#ifndef DEUR_H
#define DEUR_H

#include <QPaintDevice>
#include <utility>

using namespace std;

class Deur{
private:
    bool status;
    int x_coordinaat, y_coordinaat;
    unsigned lengte;
public:
    void open();
    void sluit();
    virtual void teken(QPaintDevice*) = 0;
    bool isDeurOpen();
    unsigned int deurLengte();
    std::pair<int,int> coordinaten() const;
    Deur(int, int, int);
};

#endif // DEUR_H
