#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

namespace Ui {
class MainWindow;
}
class Hallsensor;
class Sensor;
class Schuifdeur;
class draaideur;
class Deur;
class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    void paintEvent(QPaintEvent *event);
      ~MainWindow();
private slots:
    void on_schuifdeurSensorKnop_clicked();
    void on_vd_clicked();
    void on_d1_clicked();
    void on_d2_clicked();

private:
    Ui::MainWindow *ui;
    Hallsensor *s1;
    std::shared_ptr<Schuifdeur> *vd;
    std::shared_ptr<draaideur> *d1, *d2;
//    std::vector<std::unique_ptr<Deur*>> deuren;
//    Schuifdeur *vd;
//    draaideur *d1, *d2;
    std::vector<std::shared_ptr<Deur>> deuren;
};

#endif // MAINWINDOW_H
